---
title: "POST /blueprintfields/search - Blueprint Fields · RUAL Documentation"
description: "Search blueprint fields using request body with Elasticsearch query"
canonical: https://docs.rual.nl/cluster/api/blueprint-fields/blueprintfields-search-post
language: en
---

# POST /blueprintfields/search

Search blueprint fields using request body with Elasticsearch query

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintfields_view` | Required scope: blueprintfields_view |
